Debian Bug report logs - #363399
Net SNMP has broken sysObjectID

version graph

Package: snmpd; Maintainer for snmpd is Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>; Source for snmpd is src:net-snmp.

Reported by: Hilmar Preusse <hille42@web.de>

Date: Tue, 18 Apr 2006 21:18:12 UTC

Severity: normal

Tags: patch

Merged with 374065

Found in version snmpd/5.2.2-3

Fixed in version net-snmp/5.2.2-4

Done: Jochen Friedrich <jochen@scram.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
New Bug report received and forwarded. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Net SNMP has broken sysObjectID
Date: Tue, 18 Apr 2006 23:42:44 +0200
[Message part 1 (text/plain, inline)]
Package: snmpd
Version: 5.2.2-3
Severity: normal

Hi,

an SNMP daemon should in its sytem tree (1.3.6.1.2.1) give out some
informations about itself. The description about the sysObjectID
(1.3.6.1.2.1.1.2) reads:

The vendor's authoritative identification of the network management
subsystem contained in the entity. This value is allocated within the
SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and
unambiguous means for determining `what kind of box' is being
managed.  For example, if vendor `Flintstones, Inc.' was assigned the
subtree 1.3.6.1.4.1.4242, it could assign the identifier
1.3.6.1.4.1.4242.1.1 to its `Fred Router'.

. I.e. the snmpd daemon should e.g. tell, which private MIB trees it has.

The default value of the sysObjectID is .1.3.6.0.0.0.0.0.0.0, which
is not a valuable information. I've compared it to an how grown net
snmp 5.0.6, which give out on that OID the value
.1.3.6.1.4.1.8072.3.2.xx (where xx is one of the numbers 1-13
depending on which OS it is running). I'm attaching the Net SNMP
Textual conventions for reference.

Two suggested solutions:

- put the following line into snmpd.conf:

sysObjectID 1.3.6.1.4.1.8072.3.2.x

  , where xx depends on the OS (see MIB)

- configure knows an option --with-enterprise-sysoid, which should
  hard code the OID into the agent. The help even tells me, that the
  default value is ".1.3.6.1.4.1.8072.3.2...", but it is not.

Kind regards,
  Hilmar Preu├če
-- 
sigmentation fault
[NET-SNMP-TC.zip (application/zip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 363399@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Hilmar Preusse <hille42@web.de>, 363399@bugs.debian.org
Cc: net-snmp-coders@lists.sourceforge.net
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Wed, 19 Apr 2006 16:44:32 +0200
Hi Hilmar,

> The default value of the sysObjectID is .1.3.6.0.0.0.0.0.0.0, which
> is not a valuable information. I've compared it to an how grown net
> snmp 5.0.6, which give out on that OID the value
> .1.3.6.1.4.1.8072.3.2.xx (where xx is one of the numbers 1-13
> depending on which OS it is running). I'm attaching the Net SNMP
> Textual conventions for reference.

do you have an idea if this TC got updated in the meantime?

netbsd is on version 3 in the meantime (TC mentions netbsd1) and hurd is
missing completely. However, both platforms might run Debian in some way.

So should we go for linux and unknown as platform? Or always unknown?

Thanks,
Jochen



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #15 received at 363399@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Jochen Friedrich <jochen@scram.de>
Cc: 363399@bugs.debian.org, net-snmp-coders@lists.sourceforge.net
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Wed, 19 Apr 2006 18:23:13 +0200
On 19.04.06 Jochen Friedrich (jochen@scram.de) wrote:

Hi Jochen,

> > The default value of the sysObjectID is .1.3.6.0.0.0.0.0.0.0, which
> > is not a valuable information. I've compared it to an how grown net
> > snmp 5.0.6, which give out on that OID the value
> > .1.3.6.1.4.1.8072.3.2.xx (where xx is one of the numbers 1-13
> > depending on which OS it is running). I'm attaching the Net SNMP
> > Textual conventions for reference.
> 
> do you have an idea if this TC got updated in the meantime?
> 
Yes. It is contined in the net-snmp tar ball ;-).

> netbsd is on version 3 in the meantime (TC mentions netbsd1) and
> hurd is missing completely. However, both platforms might run
> Debian in some way.
> 
Both not contained in the new MIB. However I've seen only "netbsd"
(independent on the version).

> So should we go for linux and unknown as platform? Or always
> unknown?
> 
I've upstream in Cc. Ask them for either updating the MIB or go for
unknown.

Regards,
  Hilmar
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Thomas Anders <thomas.anders@blue-cable.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #20 received at 363399@bugs.debian.org (full text, mbox):

From: Thomas Anders <thomas.anders@blue-cable.de>
To: net-snmp-coders@lists.sourceforge.net
Cc: Hilmar Preusse <hille42@web.de>, Jochen Friedrich <jochen@scram.de>, 363399@bugs.debian.org
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Thu, 20 Apr 2006 15:21:40 +0200
Hilmar Preusse wrote:
>>So should we go for linux and unknown as platform? Or always
>>unknown?
>>
> I've upstream in Cc. Ask them for either updating the MIB or go for
> unknown.

Can you please give your exact platform details?

"unknown" should cover any system not mentioned explicitely before:

hpux9             OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 1 }
sunos4            OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 2 }
solaris           OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 3 }
osf               OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 4 }
ultrix            OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 5 }
hpux10            OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 6 }
netbsd            OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 7 }
freebsd           OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 8 }
irix              OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 9 }
linux             OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 10 }
bsdi              OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 11 }
openbsd           OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 12 }
win32             OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 13 }
hpux11            OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 14 }
aix               OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 15 }
macosx            OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 16 }
unknown           OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 255 }

A sysObject.0 value of 1.3.6.0.0.0.0.0.0.0 should not happen.
"netbsd" should currently cover NetBSD 1.x and 2.x. Haven't tried 3.x yet.


+Thomas

-- 
Thomas Anders (thomas.anders at blue-cable.de)



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #25 received at 363399@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Thomas Anders <thomas.anders@blue-cable.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Sat, 22 Apr 2006 11:21:16 +0200
On 20.04.06 Thomas Anders (thomas.anders@blue-cable.de) wrote:
> Hilmar Preusse wrote:

Hi all,

> >>So should we go for linux and unknown as platform? Or always
> >>unknown?
> >>
> >I've upstream in Cc. Ask them for either updating the MIB or go for
> >unknown.
> 
> Can you please give your exact platform details?
> 
hille@kloetzer:~ $ uname -a
Linux kloetzer 2.6.16-1-686 #2 Sat Apr 15 20:45:20 UTC 2006 i686 GNU/Linux

What else do you need?

> "unknown" should cover any system not mentioned explicitely before:
> 
No "hurd" in there. How big is the chance that the net-snmp coders
will expand the MIB zu define another OID for Hurd?

> A sysObject.0 value of 1.3.6.0.0.0.0.0.0.0 should not happen.
> 
Well, this is exactly what this bug^1 is about. I've installed the
snmpd package from Debian and used the default configuration. Result:

hille@kloetzer:~ $ snmpget -v2c -c public 127.0.0.1:161 .1.3.6.1.2.1.1.2.0
SNMPv2-MIB::sysObjectID.0 = OID: SNMPv2-SMI::dod.0.0.0.0.0.0.0

. I've rebuilt the package from the sources and got the same result.
The configure options of the package do not manipulate the
sysObjectID. So this can be either:

- a broken patch in the Debian package, or
- an upstream bug.

As we see the same behavior on FreeBSD, I guess the latter is the case.

Regards,
  Hilmar

^1 http://bugs.debian.org/363399
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Thomas Anders <thomas.anders@blue-cable.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #30 received at 363399@bugs.debian.org (full text, mbox):

From: Thomas Anders <thomas.anders@blue-cable.de>
To: Hilmar Preusse <hille42@web.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Mon, 29 May 2006 22:18:07 +0200
Hilmar Preusse wrote:
> hille@kloetzer:~ $ snmpget -v2c -c public 127.0.0.1:161 .1.3.6.1.2.1.1.2.0
> SNMPv2-MIB::sysObjectID.0 = OID: SNMPv2-SMI::dod.0.0.0.0.0.0.0
> 
> . I've rebuilt the package from the sources and got the same result.
> The configure options of the package do not manipulate the
> sysObjectID. So this can be either:
> 
> - a broken patch in the Debian package, or
> - an upstream bug.
> 
> As we see the same behavior on FreeBSD, I guess the latter is the case.

We've never had any reports on such behaviour when built from the 
official sources, so may I suggest you get latest 5.3.1.pre3 and make a 
simple test:

  ./configure --with-defaults
  make
  agent/snmpd -f -Le --rocommunity=foobar localhost:8161

and from another window

  apps/snmpget -v2c -c foobar localhost:8161 .1.3.6.1.2.1.1.2.0


BTW, what's the ./config.guess output on your GNU Hurd box?


+Thomas

-- 
Thomas Anders (thomas.anders at blue-cable.de)



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #35 received at 363399@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Thomas Anders <thomas.anders@blue-cable.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Wed, 31 May 2006 17:57:05 +0200
On 29.05.06 Thomas Anders (thomas.anders@blue-cable.de) wrote:
> Hilmar Preusse wrote:

Hi,

> >hille@kloetzer:~ $ snmpget -v2c -c public 127.0.0.1:161 .1.3.6.1.2.1.1.2.0
> >SNMPv2-MIB::sysObjectID.0 = OID: SNMPv2-SMI::dod.0.0.0.0.0.0.0
> >
> >. I've rebuilt the package from the sources and got the same result.
> >The configure options of the package do not manipulate the
> >sysObjectID. So this can be either:
> >
> >- a broken patch in the Debian package, or
> >- an upstream bug.
> >
> >As we see the same behavior on FreeBSD, I guess the latter is the case.
> 
> We've never had any reports on such behaviour when built from the
> official sources,
> 
Well, I built 5.1.2 from the sources and found the OID to be OK. Then
I did for 5.2.2 using the Debian sources. As the diff.gz does not
manipulate the sysObjectID.0 neither using a patch nor by the
configure options and I saw the same problem on FreeBSD I strongly
believe this to be an upstream bug.


> so may I suggest you get latest 5.3.1.pre3 and make a simple test:
> 
I'll do so, but not before Tuesday as I'm oofline till then.

> BTW, what's the ./config.guess output on your GNU Hurd box?
> 
I do not have a GNU Hurd box and never had.

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #40 received at 363399@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Thomas Anders <thomas.anders@blue-cable.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Wed, 7 Jun 2006 18:21:49 +0200
On 29.05.06 Thomas Anders (thomas.anders@blue-cable.de) wrote:
> Hilmar Preusse wrote:

Hi,

> >hille@kloetzer:~ $ snmpget -v2c -c public 127.0.0.1:161 .1.3.6.1.2.1.1.2.0
> >SNMPv2-MIB::sysObjectID.0 = OID: SNMPv2-SMI::dod.0.0.0.0.0.0.0
> >
> >. I've rebuilt the package from the sources and got the same result.
> >The configure options of the package do not manipulate the
> >sysObjectID. So this can be either:
> >
> >- a broken patch in the Debian package, or
> >- an upstream bug.
> >
> >As we see the same behavior on FreeBSD, I guess the latter is the case.
> 
> We've never had any reports on such behaviour when built from the 
> official sources, so may I suggest you get latest 5.3.1.pre3 and make a 
> simple test:
> 
>   ./configure --with-defaults
>   make
>   agent/snmpd -f -Le --rocommunity=foobar localhost:8161
> 
> and from another window
> 
>   apps/snmpget -v2c -c foobar localhost:8161 .1.3.6.1.2.1.1.2.0
> 
hille@kloetzer:~/t1/net-snmp-5.3.1.pre1 $ apps/snmpget -On -v2c -c foobar localhost:8161 .1.3.6.1.2.1.1.2.0
.1.3.6.1.2.1.1.2.0 = OID: .1.3.6.1.4.1.8072.3.2.10

On 5.3.1.pre1, 5.3.1.pre3 and 5.3.0.1.

> BTW, what's the ./config.guess output on your GNU Hurd box?
> 
Again, Im on Linux. The log files are sitting on
http://www.amasol.de/~preusse/363399/ . The last output of the
configure run is:

---------------------------------------------------------
            Net-SNMP configuration summary:
---------------------------------------------------------

  SNMP Versions Supported:    1 2c 3
  Net-SNMP Version:           5.3.1.0.3
  Building for:               linux
  Network transport support:  Callback Unix TCP UDP
  SNMPv3 Security Modules:    usm
  Agent MIB code:             mibII ucd_snmp snmpv3mibs notification
  notification-log-mib target agent_mibs agentx disman/event-mib
  disman/schedule utilities host
  SNMP Perl modules:          disabled
  Embedded perl support:      disabled
  Authentication support:     MD5 SHA1
  Encryption support:         DES AES
  WARNING:  New version of the Event MIB which may be subtly
  different from the original implementation - configure with
  'disman/old-event-mib' for the previous version

-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Thomas Anders <thomas.anders@blue-cable.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #45 received at 363399@bugs.debian.org (full text, mbox):

From: Thomas Anders <thomas.anders@blue-cable.de>
To: Hilmar Preusse <hille42@web.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Wed, 07 Jun 2006 21:51:55 +0200
Hilmar Preusse wrote:
> hille@kloetzer:~/t1/net-snmp-5.3.1.pre1 $ apps/snmpget -On -v2c -c foobar localhost:8161 .1.3.6.1.2.1.1.2.0
> .1.3.6.1.2.1.1.2.0 = OID: .1.3.6.1.4.1.8072.3.2.10
> 
> On 5.3.1.pre1, 5.3.1.pre3 and 5.3.0.1.

foo# snmptranslate -mall .1.3.6.1.4.1.8072.3.2.10
NET-SNMP-TC::linux

So I don't think there's any problem with the (official) net-snmp 
sources. This obviously the correct sysObjectID.0.


+Thomas

-- 
Thomas Anders (thomas.anders at blue-cable.de)



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #50 received at 363399@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Thomas Anders <thomas.anders@blue-cable.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Thu, 8 Jun 2006 11:26:42 +0200
On 07.06.06 Thomas Anders (thomas.anders@blue-cable.de) wrote:
> Hilmar Preusse wrote:

Hi,

> >hille@kloetzer:~/t1/net-snmp-5.3.1.pre1 $ apps/snmpget -On -v2c -c foobar 
> >localhost:8161 .1.3.6.1.2.1.1.2.0
> >.1.3.6.1.2.1.1.2.0 = OID: .1.3.6.1.4.1.8072.3.2.10
> >
> >On 5.3.1.pre1, 5.3.1.pre3 and 5.3.0.1.
> 
> foo# snmptranslate -mall .1.3.6.1.4.1.8072.3.2.10
> NET-SNMP-TC::linux
> 
> So I don't think there's any problem with the (official) net-snmp 
> sources. This obviously the correct sysObjectID.0.
> 
I did the same experiment using 5.2.2 (vanilla sources,
--with-defaults):

hille@kloetzer:~/net-snmp/net-snmp-5.2.2 $ apps/snmpget -On -v2c -c foobar localhost:8161 .1.3.6.1.2.1.1.2.0
.1.3.6.1.2.1.1.2.0 = OID: .1.3.6.0.0.0.0.0.0.0
hille@kloetzer:~/net-snmp/net-snmp-5.2.2 $

So it seems to be a bug in 5.2.2, which has been fixed in 5.3.0.
Consider to upgrade the Debian package.

Greets,
  Hilmar
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Thomas Anders <thomas.anders@blue-cable.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #55 received at 363399@bugs.debian.org (full text, mbox):

From: Thomas Anders <thomas.anders@blue-cable.de>
To: Hilmar Preusse <hille42@web.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org, Jochen Friedrich <jochen@scram.de>
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Thu, 08 Jun 2006 23:13:18 +0200
[Message part 1 (text/plain, inline)]
Hilmar Preusse wrote:
> I did the same experiment using 5.2.2 (vanilla sources,
> --with-defaults):
> 
> hille@kloetzer:~/net-snmp/net-snmp-5.2.2 $ apps/snmpget -On -v2c -c foobar localhost:8161 .1.3.6.1.2.1.1.2.0
> .1.3.6.1.2.1.1.2.0 = OID: .1.3.6.0.0.0.0.0.0.0
> hille@kloetzer:~/net-snmp/net-snmp-5.2.2 $
> 
> So it seems to be a bug in 5.2.2, which has been fixed in 5.3.0.
> Consider to upgrade the Debian package.

I've just fixed this bug in the 5.2.x CVS branch, too. Patch attached.


+Thomas

-- 
Thomas Anders (thomas.anders at blue-cable.de)
[net-snmp-5.2.x-sysObjectID.diff (text/x-patch, inline)]
Index: agent/mibgroup/mibII/system_mib.c
===================================================================
RCS file: /cvsroot/net-snmp/net-snmp/agent/mibgroup/mibII/system_mib.c,v
retrieving revision 5.11
retrieving revision 5.12
diff -u -r5.11 -r5.12
--- agent/mibgroup/mibII/system_mib.c	1 May 2005 17:47:26 -0000	5.11
+++ agent/mibgroup/mibII/system_mib.c	11 Aug 2005 17:39:36 -0000	5.12
@@ -283,7 +283,7 @@
                  "sysobjectid token not a parsable OID:\n\t%s",
                  cptr);
         config_perror(tmpbuf);
-        memcpy(sysObjectID, version_sysoid, version_sysoid_len);
+        memcpy(sysObjectID, version_sysoid, version_sysoid_len * sizeof(oid));
         sysObjectIDLength = version_sysoid_len;
     }
 }
@@ -417,7 +417,7 @@
 #endif
 
     /* default sysObjectID */
-    memcpy(sysObjectID, version_sysoid, version_sysoid_len);
+    memcpy(sysObjectID, version_sysoid, version_sysoid_len * sizeof(oid));
     sysObjectIDLength = version_sysoid_len;
 
     /*

Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #60 received at 363399@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Thomas Anders <thomas.anders@blue-cable.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org, Jochen Friedrich <jochen@scram.de>
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Fri, 9 Jun 2006 10:17:43 +0200
tags 363399 + patch
stop

On 08.06.06 Thomas Anders (thomas.anders@blue-cable.de) wrote:
> Hilmar Preusse wrote:

Hi Thomas,

> >So it seems to be a bug in 5.2.2, which has been fixed in 5.3.0.
> >Consider to upgrade the Debian package.
> 
> I've just fixed this bug in the 5.2.x CVS branch, too. Patch
> attached.
> 
Is the 5.2.2 still actively developed?
Anyway, the patch fixes the problem. I leave in the DBTS a marker
that there is a patch for the problem.

Thanks for your response!

H.
-- 
sigmentation fault



Tags added: patch Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Thomas Anders <thomas.anders@blue-cable.de>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #67 received at 363399@bugs.debian.org (full text, mbox):

From: Thomas Anders <thomas.anders@blue-cable.de>
To: Hilmar Preusse <hille42@web.de>
Cc: net-snmp-coders@lists.sourceforge.net, 363399@bugs.debian.org, Jochen Friedrich <jochen@scram.de>
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Fri, 09 Jun 2006 10:28:20 +0200
Hilmar Preusse wrote:
> Is the 5.2.2 still actively developed?
> Anyway, the patch fixes the problem. I leave in the DBTS a marker
> that there is a patch for the problem.

The 5.2.x branch is still maintained -- in bug-fixes only mode.
The release cycle for 5.2.3 will start anytime soon, probably today.


+Thomas

-- 
Thomas Anders (thomas.anders at blue-cable.de)



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#363399; Package snmpd. Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #72 received at 363399@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Thomas Anders <thomas.anders@blue-cable.de>, control@bugs.debian.org
Cc: 363399@bugs.debian.org
Subject: Re: Bug#363399: Net SNMP has broken sysObjectID
Date: Fri, 09 Jun 2006 11:22:44 +0200
tag 363399 +patch +pending
thanks

Hi Thomas,

> I've just fixed this bug in the 5.2.x CVS branch, too. Patch attached.

Thanks. I'll apply this (and upload all the i18n stuff as well).


Cheers,
Jochen



Tags added: patch Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 363399 374065. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jochen Friedrich <jochen@scram.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hilmar Preusse <hille42@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #83 received at 363399-close@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: 363399-close@bugs.debian.org
Subject: Bug#363399: fixed in net-snmp 5.2.2-4
Date: Tue, 04 Jul 2006 09:32:09 -0700
Source: net-snmp
Source-Version: 5.2.2-4

We believe that the bug you reported is fixed in the latest version of
net-snmp, which is due to be installed in the Debian FTP archive:

libsnmp-base_5.2.2-4_all.deb
  to pool/main/n/net-snmp/libsnmp-base_5.2.2-4_all.deb
libsnmp-perl_5.2.2-4_sparc.deb
  to pool/main/n/net-snmp/libsnmp-perl_5.2.2-4_sparc.deb
libsnmp9-dev_5.2.2-4_sparc.deb
  to pool/main/n/net-snmp/libsnmp9-dev_5.2.2-4_sparc.deb
libsnmp9_5.2.2-4_sparc.deb
  to pool/main/n/net-snmp/libsnmp9_5.2.2-4_sparc.deb
net-snmp_5.2.2-4.diff.gz
  to pool/main/n/net-snmp/net-snmp_5.2.2-4.diff.gz
net-snmp_5.2.2-4.dsc
  to pool/main/n/net-snmp/net-snmp_5.2.2-4.dsc
snmp_5.2.2-4_sparc.deb
  to pool/main/n/net-snmp/snmp_5.2.2-4_sparc.deb
snmpd_5.2.2-4_sparc.deb
  to pool/main/n/net-snmp/snmpd_5.2.2-4_sparc.deb
tkmib_5.2.2-4_all.deb
  to pool/main/n/net-snmp/tkmib_5.2.2-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 363399@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jochen Friedrich <jochen@scram.de> (supplier of updated net-snmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  4 Jul 2006 15:23:54 +0200
Source: net-snmp
Binary: libsnmp9 tkmib snmp libsnmp-perl libsnmp-base libsnmp9-dev snmpd
Architecture: source all sparc
Version: 5.2.2-4
Distribution: unstable
Urgency: low
Maintainer: Jochen Friedrich <jochen@scram.de>
Changed-By: Jochen Friedrich <jochen@scram.de>
Description: 
 libsnmp-base - NET SNMP (Simple Network Management Protocol) MIBs and Docs
 libsnmp-perl - NET SNMP (Simple Network Management Protocol) Perl5 Support
 libsnmp9   - NET SNMP (Simple Network Management Protocol) Library
 libsnmp9-dev - NET SNMP (Simple Network Management Protocol) Development Files
 snmp       - NET SNMP (Simple Network Management Protocol) Apps
 snmpd      - NET SNMP (Simple Network Management Protocol) Agents
 tkmib      - NET SNMP (Simple Network Management Protocol) MIB Browser
Closes: 323074 357928 358845 360253 360441 361778 363399 366817 367071 374065 375018 376561
Changes: 
 net-snmp (5.2.2-4) unstable; urgency=low
 .
   * Add French translation. Thanks to Thomas Huriaux
     <thomas.huriaux@gmail.com> (Closes: #357928)
   * Add Czech translation. Thanks to Miroslav Kure
     <kurem@upcase.inf.upol.cz> (Closes: #358845)
   * Add Dutch translation. Thanks to Vincent Zweije
     <zweije@xs4all.nl> (Closes: #360441)
   * Add Galician translation. Thanks to Jacobo Tarrio
     <jtarrio@trasno.net> (Closes: #361778)
   * Add Portuguese translation. Thanks to Rui Branco
     <ruipb@debianpt.org> (Closes: #375018)
   * Add patch from upstream to correct sysObjectID.
     (Closes: #363399, #374065)
   * Rearrange snmpd.postrm to not run deluser twice.
   * Change build-depends to not depend on automake but on
     automake1.9 (Closes: #376561)
   * Build with -Wall (Closes: #323074)
   * Add patch to make -Z support zero values. Path thanks
     to Peder Chr. Norgaard <Peder.Chr.Norgaard@ericsson.com>
     (Closes: #366817)
   * Make init script support reloading configuration without
     restart. (Closes: #367071)
   * Execute dh_fixperm before dh_strip (Closes: #360253)
Files: 
 9dc2d4c8faef9941f007cf547d1be00c 814 net optional net-snmp_5.2.2-4.dsc
 965f46feafe43d2c7f6e04d0c8e138d0 81671 net optional net-snmp_5.2.2-4.diff.gz
 3e2e95944c1c61c555d8a6813dd62b9f 1175870 libs optional libsnmp-base_5.2.2-4_all.deb
 8fd3bf5e6c3054aa5e7b70cddf9da670 841456 net optional tkmib_5.2.2-4_all.deb
 876f6d0cba14a6844273e182a33ef22e 817322 net optional snmpd_5.2.2-4_sparc.deb
 98271ee01ebe97d949909ab2e0803b88 910552 net optional snmp_5.2.2-4_sparc.deb
 4762f98bd615d268ab1d643ad3c1e8cb 1734112 libs optional libsnmp9_5.2.2-4_sparc.deb
 98d7e6923db7671dfbb70a8eaad99b1f 1502416 libdevel optional libsnmp9-dev_5.2.2-4_sparc.deb
 271d80219a42081bfd19fe265f25b431 904122 perl optional libsnmp-perl_5.2.2-4_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEqpM00fhX0Y/ocz0RApR5AJ4/Bkb+xwAp+atIZYb7gyDxP17OlACgnIEH
GUcAfRhqIsVLQz6sh4Xs0Lc=
=0Spq
-----END PGP SIGNATURE-----




Reply sent to Jochen Friedrich <jochen@scram.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lars Boegild Thomsen <lth@cow.dk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:30:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:24:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.